## BtMainPages BtMainPages — class for the editor main pages |

## Functions

BtMainPages * | bt_main_pages_new ()

## Properties

BtMainPageInfo * | info-page | Read
BtMainPageMachines * | machines-page | Read
BtMainPagePatterns * | patterns-page | Read
BtMainPageSequence * | sequence-page | Read
BtMainPageWaves * | waves-page | Read

## Types and Values

struct | BtMainPages

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkNotebook
                        ╰── BtMainPages

## Implemented Interfaces

BtMainPages implements AtkImplementorIface and GtkBuildable.

## Includes

    #include "bt-edit.h"

## Description

The user interface of the buzztrax editor is divided into several pages. This class implements the notebook widgets to manage the sub-pages: BtMainPageMachines, BtMainPagePatterns, BtMainPageSequence, BtMainPageWaves and BtMainPageInfo.

## Functions

### bt_main_pages_new ()

    BtMainPages *
    bt_main_pages_new (void);

Create a new instance

#### Returns

the new instance

## Types and Values

### struct BtMainPages

    struct BtMainPages;

the root window for the editor application

## Property Details

### The `“info-page”` property

      “info-page”                BtMainPageInfo *

the info view page.

Flags: Read

### The `“machines-page”` property

      “machines-page”            BtMainPageMachines *

the machines view page.

Flags: Read

### The `“patterns-page”` property

      “patterns-page”            BtMainPagePatterns *

the patterns view page.

Flags: Read

### The `“sequence-page”` property

      “sequence-page”            BtMainPageSequence *

the sequence view page.

Flags: Read

### The `“waves-page”` property

      “waves-page”               BtMainPageWaves *

the waves view page.

Flags: Read